/******************************************************************************/
/*                                                                            */
/*                           DEC - Driver  V0.95                             */
/*                                                                            */
/*            Der Ethernet - Netzwerk - Treiber fr HADES040/060              */
/*                                                                            */
/*  File:          INETCUST.H		                                              */
/*  Teilaufgabe:   Treiber fr eine DEC Ethernet PCI-Karte                    */
/*  Beschreibung:  allgemeine Deklarationen der INETCUST-Infos             		*/
/*                                                                            */
/*  (c)96-97 FM-Soft                                             17.08.1997   */
/*                                                                            */
/******************************************************************************/
/* $Id$ */
/******************************************************************************/
/* $Log$ */
/******************************************************************************/

/******************************************************************************/
/*                                  INETCUST                                  */
/******************************************************************************/
#define MAXUSERNAME       16
#define MAXNAME           64
#define MAXHOSTNAME       16

typedef struct
{
  ULONG magic;                    /* Lnge der INETCUST-Struktur              */
  UBYTE haddr[6];                 /* Ethernetadresse der SMC-Karte            */
  ULONG inaddr;                   /* eigene Internet-Adresse (IP)             */
  UWORD subnetbits;               /* Anzahl der Subnet-Bits                   */
  UWORD tcpwnd;                   /* TCP Window Size                          */
  UWORD tcplowater;               /* TCP Schwelle fr ???????                 */
  ULONG netmem;                   /* anzulegende Buffergre                  */
  BYTE  username[MAXUSERNAME];    /* Username                                 */
  BYTE  hosts[64];                /* File mit der Hosttabelle                 */
  BYTE  passwd[64];               /* File mit den Passwrtern                 */
  UWORD gmtoffs;                  /* Zeitzonen-Offset                         */
  BYTE  tzname[6];                /* Name der Zeitzone                        */
  ULONG timeserver[2];            /* IP Adressen zweier Timeserver            */
  ULONG nameserver[3];            /* IP Adressen dreier Nameservers           */
  ULONG gateway;                  /* IP Adresse der Gateway                   */
  BYTE  hostname[MAXHOSTNAME];    /* Name dieses Host-Rechners                */
  BYTE  domainname[MAXNAME];      /* Domainname dieses Host-Rechners          */
  BYTE  mailhost[MAXNAME];        /* Name des Mailhosts                       */
  BYTE  loginhost[MAXNAME];       /* Name des default Loginhosts              */
  BYTE  printhost[MAXNAME];       /* Name des Printer-Servers                 */
  BYTE  printdev[MAXHOSTNAME];    /* Name des Printer Devices                 */
  ULONG ftpwin;                   /* Gre des FTP - Buffers                  */
} INETCUST;
